# Visualization
TKV3d
Prs3d

# Prs3d_PointAspect Class Reference

This class defines attributes for the points
The points are drawn using markers, whose size does not depend on
the zoom value of the views.
.

`#include <Prs3d_PointAspect.hxx>`

Inheritance diagram for Prs3d_PointAspect:

[legend]

## Public Member Functions

Standard_EXPORT | Prs3d_PointAspect (const Aspect_TypeOfMarker aType, const Quantity_Color &aColor, const Standard_Real aScale)
Standard_EXPORT | Prs3d_PointAspect (const Aspect_TypeOfMarker aType, const Quantity_NameOfColor aColor, const Standard_Real aScale)
Standard_EXPORT | Prs3d_PointAspect (const Quantity_Color &AColor, const Standard_Real AnId, const Standard_Integer AWidth, const Standard_Integer AHeight, const Handle(Graphic3d_HArray1OfBytes)&ATexture)
| defines only the urer defined marker point.
Standard_EXPORT void | SetColor (const Quantity_Color &aColor)
Standard_EXPORT void | SetColor (const Quantity_NameOfColor aColor)
| defines the color to be used when drawing a point. Default value: Quantity_NOC_YELLOW
Standard_EXPORT void | SetTypeOfMarker (const Aspect_TypeOfMarker aType)
| defines the type of representation to be used when drawing a point. Default value: Aspect_TOM_PLUS
Standard_EXPORT void | SetScale (const Standard_Real aScale)
| defines the size of the marker used when drawing a point. Default value: 1.
Standard_EXPORT Handle_Graphic3d_AspectMarker3d | Aspect () const
Standard_EXPORT void | Print (Standard_OStream &s) const
Standard_EXPORT void | GetTextureSize (Standard_Integer &AWidth, Standard_Integer &AHeight)
| Returns marker's texture size. .
Standard_EXPORT const Handle_Graphic3d_HArray1OfBytes & | GetTexture ()
| Returns marker's texture. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_Graphic3d_AspectMarker3d | myAspect

## Constructor & Destructor Documentation

Standard_EXPORT Prs3d_PointAspect::Prs3d_PointAspect | ( | const Aspect_TypeOfMarker | aType,
|  | const Quantity_Color & | aColor,
|  | const Standard_Real | aScale
| ) |

Standard_EXPORT Prs3d_PointAspect::Prs3d_PointAspect | ( | const Aspect_TypeOfMarker | aType,
|  | const Quantity_NameOfColor | aColor,
|  | const Standard_Real | aScale
| ) |

Standard_EXPORT Prs3d_PointAspect::Prs3d_PointAspect | ( | const Quantity_Color & | AColor,
|  | const Standard_Real | AnId,
|  | const Standard_Integer | AWidth,
|  | const Standard_Integer | AHeight,
|  | const Handle(Graphic3d_HArray1OfBytes)& | ATexture
| ) |

## Member Function Documentation

Standard_EXPORT Handle_Graphic3d_AspectMarker3d Prs3d_PointAspect::Aspect | ( |  | ) | const

Standard_EXPORT const Handle_Graphic3d_HArray1OfBytes& Prs3d_PointAspect::GetTexture | ( |  | ) |

Standard_EXPORT void Prs3d_PointAspect::GetTextureSize | ( | Standard_Integer & | AWidth,
|  | Standard_Integer & | AHeight
| ) |

Standard_EXPORT const Prs3d_PointAspect::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Prs3d_BasicAspect.

Standard_EXPORT void Prs3d_PointAspect::Print | ( | Standard_OStream & | s | ) | const

Standard_EXPORT void Prs3d_PointAspect::SetColor | ( | const Quantity_NameOfColor | aColor | ) |

Standard_EXPORT void Prs3d_PointAspect::SetColor | ( | const Quantity_Color & | aColor | ) |

Standard_EXPORT void Prs3d_PointAspect::SetScale | ( | const Standard_Real | aScale | ) |

Standard_EXPORT void Prs3d_PointAspect::SetTypeOfMarker | ( | const Aspect_TypeOfMarker | aType | ) |

## Field Documentation

Handle_Graphic3d_AspectMarker3d Prs3d_PointAspect::myAspect `[private]`

The documentation for this class was generated from the following file:

- Prs3d_PointAspect.hxx